Leap0

List PTY sessions

List all interactive terminal sessions in the sandbox.

GET
/v1/sandbox/{sandboxID}/pty

List all interactive terminal sessions in the sandbox.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

Response Body

application/json

application/json

curl -X GET "https://api.leap0.dev/v1/sandbox/string/pty"
{  "items": [    {      "id": "my-terminal",      "cwd": "/home/user",      "envs": {        "property1": "string",        "property2": "string"      },      "cols": 120,      "rows": 40,      "created_at": "2019-08-24T14:15:22Z",      "active": true,      "lazy_start": true    }  ]}
{  "message": "string"}